<?php
/**
 * Simple custom product
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product, $post;

do_action( 'gift_card_before_add_to_cart_form' );

?>

<form class="gift_card_cart" method="post" enctype='multipart/form-data'>

	<?php
		wp_nonce_field( 'afgc_nonce', 'afgc_nonce' );

		$afgc_another_recp = get_option( 'afgc_another_recp' );

		$is_afgc_virtual = get_post_meta( $post->ID, 'afgc_virtual', true );

		$afgc_another_recp_title = get_option( 'afgc_another_recp_title' );

		$afgc_email_checkbox_lable = get_option( 'afgc_email_checkbox_lable' );

		$afgc_print_home_checkbox_lable = get_option( 'afgc_print_home_checkbox_lable' );

		$afgc_card_gallery_section_title = get_option( 'afgc_card_gallery_section_title' );

		$afgc_delivery_section_title = get_option( 'afgc_delivery_section_title' );

		$afgc_enable_custom_image_btn = get_option( 'afgc_enable_custom_image_btn' );

		$gift_card_price = (int) get_post_meta( $product->get_id(), 'afgc_gift_card_amnt', true );

	if ( empty( $gift_card_price ) ) {

		$gift_card_price = (int) get_post_meta( $product->get_id(), '_regular_price', true );

	}

		$afgc_recipient_info_section_title = get_option( 'afgc_recipient_info_section_title' );

		$afgc_special_discount_type = get_post_meta( $product->get_id(), 'afgc_special_discount_type', true );

		$discount_price = get_post_meta( $product->get_id(), 'afgc_special_discount_amount', true );

		$afgc_allow_custom_img = get_post_meta( $post->ID, 'afgc_allow_custom_img', true );

		$afgc_enable_custom_image_btn = get_post_meta( $post->ID, 'afgc_enable_custom_image_btn', true );

		$afgc_allow_overide_custom_amount = get_post_meta( $post->ID, 'afgc_allow_overide_custom_amount', true );

		$afgc_get_cust_val = (int) get_post_meta( $post->ID, 'afgc_gift_card_amnt', true );

		$afgc_allow_overide_min_custom_amount = (int) get_post_meta( $post->ID, 'afgc_allow_overide_min_custom_amount', true );

	?>
	<div class="afgc-gift-card-amount-box">
		
		<style>
			.afgc-main-form-preview-container{
				display: block !important;
			}

			.single-product div.product p.price{
				margin: 0 !important;
			}

		</style>

		<?php

		if ( 'yes' == $is_afgc_virtual ) {

			$afgc_enable_card_gallery = get_option( 'afgc_enable_card_gallery' );

			?>

			<div class="afgc-virtual-gift-card">

				<div class="afgc-virtual-gift-card-choose-image">

					<div class="afgc-section-label-custom-btn">

						<?php

						if ( 'yes' == $afgc_enable_card_gallery ) {

							if ( ! empty( $afgc_card_gallery_section_title ) ) {
								?>

									<h5> <?php echo esc_html( get_option( 'afgc_card_gallery_section_title' ) ); ?> </h5>
								
								<?php } else { ?>
							
									<h5> <?php echo esc_html__( 'Gift Card Gallery', 'addify_gift_cards' ); ?> </h5>

								<?php } ?>

							<?php } ?>

						<?php if ( 'yes' == $afgc_allow_custom_img ) { ?>

							<div class="afgc-upload-img">

								<?php if ( ! empty( $afgc_enable_custom_image_btn ) ) { ?>
									
									<label for="afgc_upload_img_btn"><?php echo esc_attr( $afgc_enable_custom_image_btn ); ?></label>

								<?php } else { ?>

									<label for="afgc_upload_img_btn"><?php echo esc_html__( 'Upload Card', 'addify_gift_cards' ); ?></label>

								<?php } ?>

								<input type="file" class="afgc-upload-img-btn" name="afgc_upload_img_btn" id="afgc_upload_img_btn" value="Choose" accept="image/png, image/gif, image/jpeg">

							</div>

						<?php } ?>

					</div>


					<?php if ( 'yes' == $afgc_enable_card_gallery ) { ?>

						<div class="afgc-choose-image">
							<ul>
								
								<?php if ( has_post_thumbnail() ) { ?>

									<li class="afgc-choose-image-item">

										<?php the_post_thumbnail(); ?>

									</li>

									<?php
								}


								global $product;

								$attachment_ids = $product->get_gallery_image_ids();

								$img_url = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) );

								foreach ( $attachment_ids as $attachment_id ) {

									?>

								<li class="afgc-gift-pro-gall-img" id="gall">

									<?php echo wp_get_attachment_image( $attachment_id, 'full' ); ?>

								</li>
								  
									<?php
								}

								$product_categories = wp_get_post_terms( $product->get_id(), 'afgc_gallery_cat' );

								if ( $product_categories ) {

									?>

								<li class="afgc-choose-image-item afgc-view">

									<a href="#" id="afgc_view_all_card"><?php echo esc_html__( 'View All ', 'addify_gift_cards' ); ?></a>

								</li>

								<?php } ?>

							</ul>

							<input type="hidden" name="afgc_selected_img" class="afgc_selected_img" value="<?php echo esc_url( $img_url ); ?>">

						</div>

					<?php } ?>

				</div>

				<?php if ( 'yes' == $afgc_allow_overide_custom_amount ) { ?>
						
						<div class="afgc-virtual-custom-amount" id="afgc_virtual_custom_amount">
					
							<h5><?php echo esc_html__( 'Set an amount', 'addify_gift_cards' ); ?></h5>

							<ul class="afgc-enter-custom-amount">
								<?php

								if ( 'yes' == $afgc_allow_overide_custom_amount && $afgc_allow_overide_min_custom_amount ) {

									$afgc_min_custom_amount = $afgc_allow_overide_min_custom_amount;

								} else {

									$afgc_min_custom_amount = 1;

								}

								$afgc_allow_overide_max_custom_amount = (int) get_post_meta( $post->ID, 'afgc_allow_overide_max_custom_amount', true );

								if ( 'yes' == $afgc_allow_overide_custom_amount && $afgc_allow_overide_max_custom_amount ) {

									$afgc_max_custom_amount = $afgc_allow_overide_max_custom_amount;

								} else {

									$afgc_max_custom_amount = 5000;

								}

								$afgc_get_cust_amnts = explode( ',', $afgc_get_cust_val );

								foreach ( $afgc_get_cust_amnts as $afgc_get_cust_amnt ) {

									if ( 'fixed' == $afgc_special_discount_type ) {

										$afgc_get_cust_amnt = $gift_card_price - $discount_price;

									} elseif ( 'percentage' == $afgc_special_discount_type ) {

										$afgc_get_cust_amnt = (int) $gift_card_price - ( $gift_card_price * ( $discount_price / 100 ) );

									} else {

										$afgc_get_cust_amnt = $gift_card_price;

									}



									?>

									<li>

										<button type="button" name="afgc_admin_set_price" value="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-wc-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>"><?php echo wp_kses_post( wc_price( $afgc_get_cust_amnt ) ); ?> </button>

										<input type="hidden" value="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-wc-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>"
										>
									</li>

									<?php
								}

								if ( 'yes' == $afgc_allow_overide_custom_amount ) {

									?>

									<li>
										<input type="number" min="<?php echo esc_attr( $afgc_min_custom_amount ); ?>" max="<?php echo esc_attr( $afgc_max_custom_amount ); ?>" name="afgc_virtual_custom_amount" id="afgc_virtual_custom_amount" placeholder="<?php echo esc_html__( 'Enter amount', 'addify_gift_cards' ); ?>">
										<input type="hidden" name="final_selected_price_of_gift_card" value="<?php echo esc_attr( $gift_card_price ); ?>">
									</li>

								<?php } ?>

							</ul>
						</div>

				<?php } ?>
				

				<div class="afgc-recipient-info" id="afgc-recipient-info">

					<?php
					// wp_nonce_field( 'addify_agf_nonce', 'afgc_nonce' );
					?>

					<?php if ( '' == $afgc_delivery_section_title ) { ?>

						<h5><?php echo esc_html__( 'Delivery', 'addify_gift_cards' ); ?></h5>

					<?php } else { ?>

						<h5><?php echo esc_attr( $afgc_delivery_section_title ); ?></h5>

					<?php } ?>
					
					<ul class="afgc_gift_card_opt">
						<li>

							<?php

							$afgc_email_checkbox_is_required = 'yes' === get_option( 'afgc_email_checkbox_is_required' ) ? 'required' : '';

							if ( '' == $afgc_email_checkbox_lable ) {
								?>

								<input type="checkbox" value="yes" name="afgc_email_tab" <?php echo esc_attr( $afgc_email_checkbox_is_required ); ?>><label><?php echo esc_html__( 'Email', 'addify_gift_cards' ); ?></label>

							<?php } else { ?>

								<input type="checkbox" value="yes" name="afgc_email_tab" <?php echo esc_attr( $afgc_email_checkbox_is_required ); ?>><label><?php echo esc_attr( $afgc_email_checkbox_lable ); ?></label>

							<?php } ?>

						</li>
						<li>
							<?php if ( '' == $afgc_print_home_checkbox_lable ) { ?>

								<input type="checkbox" value="yes" name="afgc_pdf_tab"><label><?php echo esc_html__( 'Print at home', 'addify_gift_cards' ); ?></label>

							<?php } else { ?>

								<input type="checkbox" value="yes" name="afgc_pdf_tab"><label><?php echo esc_attr( $afgc_print_home_checkbox_lable ); ?></label>

							<?php } ?>
						</li>
					</ul>

					<?php if ( '' == $afgc_recipient_info_section_title ) { ?>
								
						<h5><?php echo esc_html__( 'Recipient Info', 'addify_gift_cards' ); ?></h5>

					<?php } else { ?>

						<h5><?php echo esc_html( get_option( 'afgc_recipient_info_section_title' ) ); ?></h5>

						<?php
					}

					$total_fields = 1;

					$afgc_recipient_name = get_post_meta( $product->get_id(), 'afgc_recipient_name', true );

					$afgc_recipient_email = get_post_meta( $product->get_id(), 'afgc_recipient_email', true );

					$afgc_name_input_is_required = 'yes' === get_option( 'afgc_name_input_is_required' ) ? 'required' : '';

					$afgc_email_input_is_required = 'yes' === get_option( 'afgc_email_input_is_required' ) ? 'required' : '';

					?>

					<div id="afgc_items_for_clone" class="afgc_items_cl">
						<span class="afgc-delete-field"><?php echo esc_html__( 'x', 'addify_gift_cards' ); ?></span>
						<div class="afgc-form-group">
							<label for="afgc_recipient_name"><?php echo esc_html__( 'Name:', 'addify_gift_cards' ); ?></label>
							<input type="text" name="afgc_recipient_name<?php echo esc_attr( $total_fields ); ?>" id="afgc_recipient_name" placeholder="Enter the recipient's name" class="afgc-frnt-input-fld afgc-name-input-field afgc-total-name-fields" <?php echo esc_attr( $afgc_name_input_is_required ); ?>>
						</div>

						<div class="afgc-form-group">
							<label for="afgc_recipient_email"><?php echo esc_html__( 'Email:', 'addify_gift_cards' ); ?></label>
							<input type="email" name="afgc_recipient_email<?php echo esc_attr( $total_fields ); ?>" id="afgc_recipient_email" placeholder="Enter the recipient's email" class="afgc-frnt-input-fld afgc-email-input-field afgc-total-email-fields" <?php echo esc_attr( $afgc_email_input_is_required ); ?> >
						</div>
					</div>

					<?php

					if ( 'yes' == $afgc_another_recp ) {

						if ( '' == $afgc_another_recp_title ) {

							?>

							<a href="#" id="afgc_clone_btn" class="afgc-clone-btn"><?php echo esc_html__( 'Add another recipient', 'addify_gift_cards' ); ?></a>

						<?php } else { ?> 

							<a href="#" id="afgc_clone_btn" class="afgc-clone-btn"><?php echo esc_attr( $afgc_another_recp_title ); ?></a>

						<?php } ?>
							
					<?php } ?>

					<input type="hidden" name="total_input_field_admin_select" value="<?php echo esc_attr( $total_fields ); ?>">
					<input type="hidden" name="current_product_id" value="<?php echo esc_attr( $product->get_id() ); ?>">

					<div class="afgc-form-group">

						
						<label for="afgc_delivery_date"><?php echo esc_html__( 'Delivery date:', 'addify_gift_cards' ); ?></label>
						<input type="text" min="<?php echo esc_attr( gmdate( 'Y-m-d' ) ); ?>" name="afgc_delivery_date" onfocus="(this.type='date')"  id="afgc_delivery_date" placeholder="<?php echo esc_html__( 'Now', 'addify_gift_cards' ); ?>" class="afgc-frnt-input-fld">
					</div>
				</div>

				<?php

				$afgc_sender_name = get_option( 'afgc_sender_name' );

				if ( 'yes' == $afgc_sender_name ) {
					?>

					<div class="afgc-sender-info">
						<?php

						$afgc_sender_info_section_title = get_option( 'afgc_sender_info_section_title' );

						if ( '' == $afgc_sender_info_section_title ) {
							?>
								
							<h5><?php echo esc_html__( 'Sender Info', 'addify_gift_cards' ); ?></h5>

						<?php } else { ?>

							<h5><?php echo esc_html( get_option( 'afgc_sender_info_section_title' ) ); ?></h5>

							<?php
						}



						$afgc_sender_message_is_required = 'yes' === get_option( 'afgc_sender_message_is_required' ) ? 'required' : '';

						?>

						<div class="afgc-form-group">
							<label for="afgc_sender_name"><?php echo esc_html__( 'Name:', 'addify_gift_cards' ); ?></label>
							<input type="text" name="afgc_sender_name" id="afgc_sender_name" placeholder="Enter the sender's name" class="afgc-frnt-input-fld">
						</div>

						<div class="afgc-form-group">
							<label for="afgc_sender_message"><?php echo esc_html__( 'Message:', 'addify_gift_cards' ); ?></label>
							<textarea name="afgc_sender_message" id="afgc_sender_message" class="afgc-frnt-txtarea-fld" rows="5" placeholder="<?php echo esc_html__( 'Enter a message for the recipient', 'addify_gift_cards' ); ?>" <?php echo esc_attr( $afgc_sender_message_is_required ); ?>></textarea>
						</div>

					</div>

				<?php } ?>
			</div>

			<div class="afgc-main-form-preview-container">

				<?php

					global $product;

					$afgc_sender_name = get_post_meta( $product->get_id(), 'afgc_sender_name', true );

					$afgc_recipient_name = get_post_meta( $product->get_id(), 'afgc_recipient_name', true );

					$afgc_recipient_email = get_post_meta( $product->get_id(), 'afgc_recipient_email', true );

					$enable_sender = get_option( 'afgc_sender_name' );

				?>
				<div>
					<h3><?php echo esc_html__( 'Virtual Gift Card', 'addify_gift_cards' ); ?></h3>
					<ul>
						<?php if ( 'yes' == $enable_sender ) { ?>
						<li class="afgc-sender-name">
							<label><?php echo esc_html__( 'From:', 'addify_gift_cards' ); ?></label>
							<span><?php echo esc_attr( $afgc_sender_name ); ?></span>
						</li>
					<?php } ?>
						<li class="afgc-recip-name">
							<label><?php echo esc_html__( 'To:', 'addify_gift_cards' ); ?> </label><span><?php echo esc_attr( $afgc_recipient_name ); ?></span>
						</li>
						<li class="afgc-recip-email">
							<label><?php echo esc_html__( 'Email:', 'addify_gift_cards' ); ?> </label><span><?php echo esc_attr( $afgc_recipient_email ); ?></span>
						</li>
					</ul>
				</div>
			</div>

		<?php } else { ?>

			<div class="afgc-physical-gift-card">

				<?php

				$afgc_sender_recipent_name = get_option( 'afgc_sender_recipent_name' );

				$afgc_sender_info_section_title = get_option( 'afgc_physical_section_title' );

				$afgc_printed_message = get_option( 'afgc_printed_message' );

				$afgc_get_cust_val = (int) get_post_meta( $post->ID, 'afgc_gift_card_amnt', true );

				$afgc_allow_overide_custom_amount = get_post_meta( $post->ID, 'afgc_allow_overide_custom_amount', true );

				$afgc_allow_overide_min_custom_amount = (int) get_post_meta( $post->ID, 'afgc_allow_overide_min_custom_amount', true );

				if ( 'yes' == $afgc_allow_overide_custom_amount ) {
					?>

					<div class="afgc-physical-custom-amount" id="afgc_physical_custom_amount">
						<h5><?php echo esc_html__( 'Set an amount', 'addify_gift_cards' ); ?></h5>
						<ul class="afgc-enter-custom-amount">
							<?php

							if ( 'yes' == $afgc_allow_overide_custom_amount && $afgc_allow_overide_min_custom_amount ) {

								$afgc_min_custom_amount = $afgc_allow_overide_min_custom_amount;

							} else {

								$afgc_min_custom_amount = 1;

							}

							$afgc_allow_overide_max_custom_amount = (int) get_post_meta( $post->ID, 'afgc_allow_overide_max_custom_amount', true );

							if ( 'yes' == $afgc_allow_overide_custom_amount && $afgc_allow_overide_max_custom_amount ) {

								$afgc_max_custom_amount = $afgc_allow_overide_max_custom_amount;

							} else {

								$afgc_max_custom_amount = 5000;

							}

							$afgc_get_cust_amnts = explode( ',', $afgc_get_cust_val );

							foreach ( $afgc_get_cust_amnts as $afgc_get_cust_amnt ) {

								if ( 'fixed' == $afgc_special_discount_type ) {

									$afgc_get_cust_amnt = $gift_card_price - $discount_price;

								} elseif ( 'percentage' == $afgc_special_discount_type ) {

									$afgc_get_cust_amnt = $gift_card_price - ( $gift_card_price * ( $discount_price / 100 ) );

								} else {

									$afgc_get_cust_amnt = $gift_card_price;

								}

								?>

								<li>

									<button type="button" name="afgc_admin_set_price" value="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-wc-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>">
										
										<?php echo wp_kses_post( wc_price( $afgc_get_cust_amnt ) ); ?>

									</button>

									<input type="hidden" value="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>" data-wc-price="<?php echo esc_attr( $afgc_get_cust_amnt ); ?>">
									
								</li>

								<?php
							}

							if ( 'yes' == $afgc_allow_overide_custom_amount ) {

								?>

								<li>
									<input type="number" min="<?php echo esc_attr( $afgc_min_custom_amount ); ?>" max="<?php echo esc_attr( $afgc_max_custom_amount ); ?>" name="afgc_virtual_custom_amount" id="afgc_virtual_custom_amount" placeholder="<?php echo esc_html__( 'Enter amount', 'addify_gift_cards' ); ?>">
									<input type="hidden" name="final_selected_price_of_gift_card" value="<?php echo esc_attr( $gift_card_price ); ?>">
								</li>

							<?php } ?>
						</ul>
					</div>
					
					<?php
				}


				?>
					<div class="afgc-recipient-info" id="afgc-recipient-info" style="margin-top: 15px;">
						<?php

						if ( 'yes' == $afgc_sender_recipent_name ) {

							if ( '' == $afgc_sender_info_section_title ) {
								?>
								
								<h5><?php echo esc_html__( 'Delivery Info', 'addify_gift_cards' ); ?></h5>

							<?php } else { ?>

								<h5><?php echo esc_html( get_option( 'afgc_physical_section_title' ) ); ?></h5>

							<?php } ?>

							<div class="afgc-form-group">
								<label for="afgc_phy_gift_recipient_name"><?php echo esc_html__( 'Recipient Name:', 'addify_gift_cards' ); ?></label>
								<input type="text" name="afgc_phy_gift_recipient_name" id="afgc_phy_gift_recipient_name" placeholder="Enter recipient's name" class="afgc-frnt-input-fld afgc-name-input-field afgc-total-email-fields">
							</div>

							<div class="afgc-form-group">
								<label for="afgc_phy_gift_sender_name"><?php echo esc_html__( 'Sender Name:', 'addify_gift_cards' ); ?></label>
								<input type="text" name="afgc_phy_gift_sender_name" id="afgc_phy_gift_sender_name" placeholder="Enter sender's name" class="afgc-frnt-input-fld">
							</div>

							<div class="afgc-form-group">
								<label for="afgc_phy_gift_delivery_date"><?php echo esc_html__( 'Delivery date:', 'addify_gift_cards' ); ?></label>
								<input type="date" name="afgc_phy_gift_delivery_date" id="afgc_phy_gift_delivery_date" placeholder="<?php echo esc_html__( 'Today', 'addify_gift_cards' ); ?>" class="afgc-frnt-input-fld" required>
							</div>

							<?php
						}

						if ( 'yes' == $afgc_printed_message ) {

							?>

							<div class="afgc-form-group">
								<label for="afgc_phy_gift_sender_message"><?php echo esc_html__( 'Message:', 'addify_gift_cards' ); ?></label>
								<textarea name="afgc_phy_gift_sender_message" id="afgc_phy_gift_sender_message" class="afgc-frnt-txtarea-fld" rows="5" placeholder="<?php echo esc_html__( 'Enter message for recipient', 'addify_gift_cards' ); ?>"></textarea>
							</div>

							<?php
						}

						?>

					</div>

				
			</div>

		<?php } ?>

	</div>
	<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="single_add_to_cart_button button alt"><?php echo esc_html__( $product->single_add_to_cart_text() ); ?></button>
</form>

<?php do_action( 'gift_card_after_add_to_cart_form' ); ?>
